#include <bits/stdc++.h>
using namespace std;
ifstream fi("dayso.inp");
ofstream fo("sohh.out");
long int a[10000],t,n;
int tonguoc(long n){
    t=0;
for(int i=1;i<=n/2;i++)
{
    if(n%i==0)
    {t=t+i;}}
    return t;
}
int main()
{
    fi>>n;
    for(int i=1;i<=n;i++)
    {
        fi>>a[i];
    }
    for(int i=1;i<=n;i++)
    {
    tonguoc(a[i]);
    if(t==a[i])
    {
    fo<<a[i];
    }}
    return 0;
}
